[Pkg-kbd-commit] r202 - people/barbier/kbd/trunk/debian

Denis Barbier barbier at costa.debian.org
Tue Sep 5 21:14:16 UTC 2006


Author: barbier
Date: 2006-09-05 21:14:16 +0000 (Tue, 05 Sep 2006)
New Revision: 202

Modified:
   people/barbier/kbd/trunk/debian/changelog
   people/barbier/kbd/trunk/debian/console-screen.kbd.sh
   people/barbier/kbd/trunk/debian/control
   people/barbier/kbd/trunk/debian/rules
Log:
  * debian/rules: Drop bashisms.  Closes: #379500  Thanks Julien Danjou

  * debian/control: Drop versioned dependencies against dpkg and sysvinit,
    these ttansitions are over for a long time.  As these packages are of
    priority required, these dependencies can be removed.
    Closes: #386131  Thanks martin f krafft

  * debian/control: console-data in oldstable satisfies Recommends, so
    remove this version too.

  * debian/console-screen.kbd.sh: Add lsb logging, see #384785


Modified: people/barbier/kbd/trunk/debian/changelog
===================================================================
--- people/barbier/kbd/trunk/debian/changelog	2006-07-22 20:35:57 UTC (rev 201)
+++ people/barbier/kbd/trunk/debian/changelog	2006-09-05 21:14:16 UTC (rev 202)
@@ -1,3 +1,19 @@
+kbd (1.12-17) unstable; urgency=low
+
+  * debian/rules: Drop bashisms.  Closes: #379500  Thanks Julien Danjou
+
+  * debian/control: Drop versioned dependencies against dpkg and sysvinit,
+    these ttansitions are over for a long time.  As these packages are of
+    priority required, these dependencies can be removed.
+    Closes: #386131  Thanks martin f krafft
+
+  * debian/control: console-data in oldstable satisfies Recommends, so
+    remove this version too.
+
+  * debian/console-screen.kbd.sh: Add lsb logging, see #384785
+
+ -- Denis Barbier <barbier at debian.org>  Tue,  5 Sep 2006 23:05:44 +0200
+
 kbd (1.12-16) unstable; urgency=low
 
   * debian/patches/sparc-compile.diff: New patch to fix build failure on sparc.

Modified: people/barbier/kbd/trunk/debian/console-screen.kbd.sh
===================================================================
--- people/barbier/kbd/trunk/debian/console-screen.kbd.sh	2006-07-22 20:35:57 UTC (rev 201)
+++ people/barbier/kbd/trunk/debian/console-screen.kbd.sh	2006-09-05 21:14:16 UTC (rev 202)
@@ -23,6 +23,8 @@
     done
 fi
 
+. /lib/lsb/init-functions
+
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 SETFONT="/usr/bin/setfont"
 SETFONT_OPT="-v"
@@ -74,9 +76,9 @@
 
     # start vcstime
     if [ "${DO_VCSTIME}" = "yes" ] && [ -x ${VCSTIME} ]; then
-        echo -n Starting clock on text console: `basename ${VCSTIME}`
+        [ "$VERBOSE" != "no" ] && log_action_begin_msg "Starting clock on text console"
         ${VCSTIME} ${VCSTIME_OPT} &
-        echo .
+        [ "$VERBOSE" != "no" ] && log_action_end_msg 0
     fi
 
     if [ "$RUNLEVEL" = S ]; then
@@ -89,34 +91,39 @@
 
     # Global default font+map
     if [ "${CONSOLE_FONT}" ]; then
-        echo -n "Setting up general console font... "
+        [ "$VERBOSE" != "no" ] && log_action_begin_msg "Setting up general console font"
         [ "${CONSOLE_MAP}" ] && SETFONT_OPT="$SETFONT_OPT -m ${CONSOLE_MAP}"
 
         # Set for the first 6 VCs (as they are allocated in /etc/inittab)
         for vc in $LIST_CONSOLES
         do
-            ${SETFONT} -C ${DEVICE_PREFIX}$vc ${SETFONT_OPT} ${CONSOLE_FONT} || { echo " failed."; break; }
+            if ! ${SETFONT} -C ${DEVICE_PREFIX}$vc ${SETFONT_OPT} ${CONSOLE_FONT}; then
+                [ "$VERBOSE" != "no" ] && log_action_end_msg 1
+                break
+            fi
         done
-        echo " done."
+        [ "$VERBOSE" != "no" ] && log_action_end_msg 0
     fi
 
 
     # Per-VC font+sfm
     PERVC_FONTS="`set | grep "^CONSOLE_FONT_vc[0-9]*="  | tr -d \' `"
     if [ "${PERVC_FONTS}"  ]; then
-        echo -n "Setting up per-VC fonts: "
+        [ "$VERBOSE" != "no" ] && log_action_begin_msg "Setting up per-VC fonts"
         for font in ${PERVC_FONTS}
         do
             # extract VC and FONTNAME info from variable setting
             vc=`echo $font | cut -b15- | cut -d= -f1`
             eval font=\$CONSOLE_FONT_vc$vc
-            [ X"$QUIET_PERVC" = X1 ] || echo -n "${DEVICE_PREFIX}${vc}, "
             # eventually find an associated SFM
             eval sfm=\${CONSOLE_MAP_vc${vc}}
             [ "$sfm" ] && sfm="-u $sfm"
-            ${SETFONT} -C ${DEVICE_PREFIX}$vc ${SETFONT_OPT} $sfm $font
+            if ! ${SETFONT} -C ${DEVICE_PREFIX}$vc ${SETFONT_OPT} $sfm $font; then
+                [ "$VERBOSE" != "no" ] && log_action_end_msg 1
+                break
+            fi
         done
-        echo "done."
+        [ "$VERBOSE" != "no" ] && log_action_end_msg 0
     fi
 
 
@@ -127,16 +134,18 @@
 #    # Per-VC ACMs
 #    PERVC_ACMS="`set | grep "^APP_CHARSET_MAP_vc[0-9]*="  | tr -d \' `"
 #    if [ "${PERVC_ACMS}" ]; then
-#        echo -n "Setting up per-VC ACM's: "
+#        [ "$VERBOSE" != "no" ] && log_action_begin_msg "Setting up per-VC ACM's"
 #        for acm in ${PERVC_ACMS}
 #        do
 #            # extract VC and FONTNAME info from variable setting
 #            vc=`echo $acm | cut -b19- | cut -d= -f1`
 #            eval acm=\$APP_CHARSET_MAP_vc$vc
-#            [ X"$QUIET_PERVC" = X1 ] || echo -n "${DEVICE_PREFIX}${vc} ($acm), "
-#            eval "${CHARSET} --tty='${DEVICE_PREFIX}$vc' G0 '$acm'"
+#            if ! ${CHARSET} --tty="${DEVICE_PREFIX}$vc" G0 "$acm"; then
+#                [ "$VERBOSE" != "no" ] && log_action_end_msg 1
+#                break
+#            fi
 #        done
-#        echo "done."
+#        [ "$VERBOSE" != "no" ] && log_action_end_msg 0
 #    fi
 
 
@@ -185,9 +194,9 @@
         KBDRATE_ARGS="$KBDRATE_ARGS -d $KEYBOARD_DELAY"
     fi
     if [ -n "$KBDRATE_ARGS" ]; then
-        echo -n "Setting keyboard rate and delay: "
+        [ "$VERBOSE" != "no" ] && log_action_begin_msg "Setting keyboard rate and delay"
         kbdrate -s $KBDRATE_ARGS
-        echo "done."
+        [ "$VERBOSE" != "no" ] && log_action_end_msg 0
     fi
 
     # Inform gpm if present, of potential changes.
@@ -211,6 +220,7 @@
 
 case "$1" in
     start|reload|restart|force-reload)
+        log_action_msg "Setting console screen modes and fonts"
         setup
         ;;
     stop)

Modified: people/barbier/kbd/trunk/debian/control
===================================================================
--- people/barbier/kbd/trunk/debian/control	2006-07-22 20:35:57 UTC (rev 201)
+++ people/barbier/kbd/trunk/debian/control	2006-09-05 21:14:16 UTC (rev 202)
@@ -8,7 +8,7 @@
 
 Package: kbd
 Architecture: any
-Depends: ${shlibs:Depends}, sysvinit (>= 2.74), console-common, dpkg (>= 1.4.0.21)
+Depends: ${shlibs:Depends}, console-common, lsb-base (>= 3.0-10)
 Recommends: console-data (>= 1999.08.29-13)
 Provides: console-utilities, open
 Conflicts: console-utilities, kbd-data, open, util-linux (<< 2.11)

Modified: people/barbier/kbd/trunk/debian/rules
===================================================================
--- people/barbier/kbd/trunk/debian/rules	2006-07-22 20:35:57 UTC (rev 201)
+++ people/barbier/kbd/trunk/debian/rules	2006-09-05 21:14:16 UTC (rev 202)
@@ -101,11 +101,11 @@
 
 patch: patch-stamp
 patch-stamp:
-	$(QUILT) push -a || test $$? == 2
+	$(QUILT) push -a || test $$? = 2
 	touch $@
 
 unpatch:
-	$(QUILT) pop -a || test $$? == 2
+	$(QUILT) pop -a || test $$? = 2
 	rm -rf .pc
 	rm -f patch-stamp
 




More information about the Pkg-kbd-commit mailing list